ccw_device_halt
Prev | ccw devices | Next

## Name

ccw_device_halt — halt I/O request processing

## Synopsis

`int ccw_device_halt (` | struct ccw_device * | cdev,
| unsigned long | intparm`)`;

## Arguments

`cdev`

  target ccw device

`intparm`

  interruption parameter; value is only used if no I/O is outstanding, otherwise the intparm associated with the I/O request is returned

## Description

`ccw_device_halt` calls hsch on `cdev`'s subchannel.

## Returns

`0` on success, -`ENODEV` on device not operational, -`EINVAL` on invalid device state, -`EBUSY` on device busy or interrupt pending.

## Context

Interrupts disabled, ccw device lock held

Prev | Up | Next
ccw_device_start_timeout | Home | ccw_device_resume